Namespace
zabbix
Image / Tag
zabbix-web-nginx-mysql:4.0.29-ubuntu
Content Digest
sha256:14c0180a616ae296455aa3cd2a3317b74876700d83d82714a40884f17416566b
Details
Created

2021-02-22 10:54:30 UTC

Size

96.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/4.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix LLC
  • org.opencontainers.image.version
    4.0.29

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

4.0.29


Layers

[#000] sha256:d519e2592276828ca171d85e0532899cd4f98c70f5c697b45fa2e126e9f9fe49 - 26.35% (25.5 MB)

[#001] sha256:d22d2dfcfa9cd230ed3c47defec2670d45081598c721dd85cafc34ea459f970e - 0.0% (852 Bytes)

[#002] sha256:b3afe92c540b778c64ca316d1e679d55d2d2e812e450f516a808ee591f0c3f77 - 0.0% (162 Bytes)

[#003] sha256:91397e35ec610a4a69469fbc1fe592c9edc1d2923814863d988749050633ef08 - 64.84% (62.7 MB)

[#004] sha256:0f206f61300e2c19637e3a128a9747aba711a24fa678686e80dfa98d2bdc8964 - 0.0% (4.34 KB)

[#005] sha256:aff315ca43f1cd09b7c71c0028059facfee7cd2ec80428d298f3cab0a080b75f - 8.79% (8.5 MB)

[#006] sha256:6db645d0d2ecdbfe6cba7b1feb588d18ca717965902949a37fba0a296d952b3b - 0.0% (2.5 KB)


History
2021-01-21 03:37:59 UTC

/bin/sh -c #(nop) ADD file:ef36fee25b0bd1d99979ecb8d54b206cec33d4e8fd2232189f0d8e5ab9754798 in /

2021-01-21 03:38:01 UTC

/bin/sh -c set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests

2021-01-21 03:38:03 UTC

/bin/sh -c [ -z "$(apt-get indextargets)" ]

2021-01-21 03:38:05 UTC

/bin/sh -c mkdir -p /run/systemd && echo 'docker' > /run/systemd/container

2021-01-21 03:38:05 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=4.0

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=4.0.29

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.29 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 10:51:41 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2021-02-22 10:54:30 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && rm -f conf/zabbix.conf.php && rm -f conf/maintenance.inc.php && rm -rf tests && ./locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && ./locale/make_mo.sh && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 10:54:30 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2021-02-22 10:54:30 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2021-02-22 10:54:30 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2021-02-22 10:54:30 UTC (buildkit.dockerfile.v0)

USER 1997

2021-02-22 10:54:30 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Details
Created

2021-02-22 11:08:18 UTC

Size

88.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/4.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix LLC
  • org.opencontainers.image.version
    4.0.29

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

4.0.29


Layers

[#000] sha256:6d8bd15f2f6189f24e8f1b5dc573a293c963565ab012ca6a42e51a3023e72e7e - 23.98% (21.3 MB)

[#001] sha256:0e961f21c7ea83c265a6de2897b8255e9e03cf1d39b74fb208b4ca936c6a53c5 - 0.0% (853 Bytes)

[#002] sha256:b017766c8f695603aa5da2f534135bd1fbe253f667ef6faa77a77c66be9ba9f5 - 0.0% (187 Bytes)

[#003] sha256:6f4a2b70f602f7ebb689f74229adae7eae32fa522b75920a923f3d529c576404 - 66.41% (58.9 MB)

[#004] sha256:07a7c4a1cc6ad24ecc5750d5795ddb8005f11730bfc7e641fd3af9a2c8004b92 - 0.0% (4.33 KB)

[#005] sha256:ecd283dd8c3a441fe93671c6071bb863d02c6c4dda62a9453e40bb30d4d8f5f4 - 9.61% (8.52 MB)

[#006] sha256:381c9a009d2b143b3371343452bad13889836c5ffa84f899bb72fffcf19d61da - 0.0% (2.5 KB)


History
2021-01-21 03:15:18 UTC

/bin/sh -c #(nop) ADD file:270f582b851314ab60dfbbc136c8e36ec44a11ecba1448403947ce72b0f9c06a in /

2021-01-21 03:15:20 UTC

/bin/sh -c set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests

2021-01-21 03:15:22 UTC

/bin/sh -c [ -z "$(apt-get indextargets)" ]

2021-01-21 03:15:25 UTC

/bin/sh -c mkdir -p /run/systemd && echo 'docker' > /run/systemd/container

2021-01-21 03:15:27 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=4.0

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=4.0.29

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:03:07 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.29 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:03:08 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2021-02-22 11:08:18 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && rm -f conf/zabbix.conf.php && rm -f conf/maintenance.inc.php && rm -rf tests && ./locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && ./locale/make_mo.sh && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 11:08:18 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2021-02-22 11:08:18 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2021-02-22 11:08:18 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2021-02-22 11:08:18 UTC (buildkit.dockerfile.v0)

USER 1997

2021-02-22 11:08:18 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Details
Created

2021-02-22 11:07:20 UTC

Size

92.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/4.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix LLC
  • org.opencontainers.image.version
    4.0.29

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

4.0.29


Layers

[#000] sha256:64e3fba066352e44a4c1eeb6caedc87c29b46f0a7b31e21a58183fc8370005bd - 24.48% (22.6 MB)

[#001] sha256:3dbb433f451339aab734bb52e3df5b34cdea477f3f8e3aa32f7ac060bd852de2 - 0.0% (854 Bytes)

[#002] sha256:c3042a0d94b83caeb29bc20734c197130f58e14e86e8e6cdad8b768052bb563c - 0.0% (189 Bytes)

[#003] sha256:afe37ab172a48dace8f7b554d68eee99585ef29532b84fe6c6a3c7334ac2fce3 - 66.31% (61.3 MB)

[#004] sha256:f87506449d9d000d7ef89eda9e52d2d3c854e0b708fd2b2cd8fe605dcb8e97cd - 0.0% (4.33 KB)

[#005] sha256:f16a17d5a6dd8c25ba68cb17b24924e8e26aca797c59e8e4f102e33873ae8f9f - 9.2% (8.5 MB)

[#006] sha256:1671ed51228f259dba0acef697235a132a5a9510ca6756eeda74b1f76df9ce2e - 0.0% (2.5 KB)


History
2021-01-21 03:49:23 UTC

/bin/sh -c #(nop) ADD file:7d9bc01cf1f3757bf5fa308213a77aeb128883cc13616ff46b3da5b0e65b92f2 in /

2021-01-21 03:49:27 UTC

/bin/sh -c set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests

2021-01-21 03:49:29 UTC

/bin/sh -c [ -z "$(apt-get indextargets)" ]

2021-01-21 03:49:31 UTC

/bin/sh -c mkdir -p /run/systemd && echo 'docker' > /run/systemd/container

2021-01-21 03:49:32 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=4.0

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=4.0.29

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.29 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:02:19 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2021-02-22 11:07:20 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && rm -f conf/zabbix.conf.php && rm -f conf/maintenance.inc.php && rm -rf tests && ./locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && ./locale/make_mo.sh && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 11:07:20 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2021-02-22 11:07:20 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2021-02-22 11:07:20 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2021-02-22 11:07:20 UTC (buildkit.dockerfile.v0)

USER 1997

2021-02-22 11:07:20 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Details
Created

2021-02-22 11:07:59 UTC

Size

104 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/4.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix LLC
  • org.opencontainers.image.version
    4.0.29

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

4.0.29


Layers

[#000] sha256:e07786faec2ce77c08f20befe52a3eac52d983b0dfae9cb8d58dfa0ede0648e1 - 27.86% (29 MB)

[#001] sha256:a3a41aaf71d5cf82fa1f9e11d2d352906ae135d0b216c665ed76ad9a8e1ce046 - 0.0% (857 Bytes)

[#002] sha256:8ae0c92402f48f37a5d3bf1b351e5c6cbed6cec502dc9138f974a2e114c29ce4 - 0.0% (187 Bytes)

[#003] sha256:de6763648ea647cbe5c36a7cefbf8b86be55b6d1471a38ab722c424957415420 - 63.95% (66.6 MB)

[#004] sha256:669abd3eb0c6c5c7aac6bd97805a4fc9ffc8bb14bc6cb2d43d267bc137ebcdd6 - 0.0% (4.34 KB)

[#005] sha256:063e1b7f61de75101418fae18536e097d6d004e8a77e00dd0b184eec11764e0d - 8.18% (8.52 MB)

[#006] sha256:b169579cd324c0c0a299ca6a0f310f86c8f16b115f104e89a833edf443ec4fce - 0.0% (2.5 KB)


History
2021-01-21 03:49:03 UTC

/bin/sh -c #(nop) ADD file:f6214eb5991df55aa5198d84442d6ddd28b67d4043d1832afba8b30e0249dcf5 in /

2021-01-21 03:49:39 UTC

/bin/sh -c set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests

2021-01-21 03:49:50 UTC

/bin/sh -c [ -z "$(apt-get indextargets)" ]

2021-01-21 03:50:04 UTC

/bin/sh -c mkdir -p /run/systemd && echo 'docker' > /run/systemd/container

2021-01-21 03:50:09 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=4.0

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=4.0.29

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.29 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git

2021-02-22 11:03:20 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2021-02-22 11:07:59 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.29 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && rm -f conf/zabbix.conf.php && rm -f conf/maintenance.inc.php && rm -rf tests && ./locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && ./locale/make_mo.sh && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit

2021-02-22 11:07:59 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2021-02-22 11:07:59 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2021-02-22 11:07:59 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2021-02-22 11:07:59 UTC (buildkit.dockerfile.v0)

USER 1997

2021-02-22 11:07:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete